Quote an RFQ (scope: maker) — opens a settlement thread
curl --request POST \
--url https://api.hashlock.markets/v1/rfqs/{id}/quotes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"quoteAmount": "<amount in base units, integer>"
}
'import requests
url = "https://api.hashlock.markets/v1/rfqs/{id}/quotes"
payload = { "quoteAmount": "<amount in base units, integer>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({quoteAmount: '<amount in base units, integer>'})
};
fetch('https://api.hashlock.markets/v1/rfqs/{id}/quotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "<string>"
}Market
Quote an RFQ (scope: maker) — opens a settlement thread
POST
/
v1
/
rfqs
/
{id}
/
quotes
Quote an RFQ (scope: maker) — opens a settlement thread
Authorizations
An API key (hk_live_… / hk_test_…) with read/taker/maker scopes.
Headers
Client-chosen unique key; retries with the same key replay the first response (24h).
Path Parameters
Body
application/json
base units
Response
created
The response is of type object.